Bug 992943 - qemu-img resize can execute successfully even input invalid syntax
qemu-img resize can execute successfully even input invalid syntax
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Kevin Wolf
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 05:07 EDT by juzhang
Modified: 2013-09-18 05:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 05:22:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description juzhang 2013-08-05 05:07:35 EDT
Description of problem:
qemu-img resize can execute successfully even input invalid syntax

Version-Release number of selected component (if applicable):
qemu-img-rhev-0.12.1.2-2.381.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Create 10G raw iamge
#qemu-img create -f raw 10G.raw 10G
Formatting '10G.raw', fmt=raw size=10737418240
2.Check the raw image
#qemu-img info 10G.raw
image: 10G.raw
file format: raw
virtual size: 10G (10737418240 bytes)
disk size: 0
3.Enlarge 20G by using qemu-img resize but using wrong invalid syntax
#qemu-img resize 10G.raw + 20G
Image resized.
4. Recheck the raw image
#qemu-img info 10G.raw
image: 10G.raw
file format: raw
virtual size: 10G (10737418240 bytes)
disk size: 0


Actual results:
The image size still keeps 10G.
#qemu-img info 10G.raw
image: 10G.raw
file format: raw
virtual size: 10G (10737418240 bytes)
disk size: 0


Expected results:
It should error out if hit invalid syntax


Additional info:
From QE POV, It's ok to close this bug as wont fix if develop think this scenario is pretty rare to end user or no harm to the end user. Set this bug as low and low
Comment 2 Ademar Reis 2013-08-12 18:34:04 EDT
Kevin: WONTFIX for RHEL6, but probably worth fixing upstream. I'll leave it open until you check it.
Comment 3 Kevin Wolf 2013-09-18 05:22:59 EDT
This is fixed in upstream and RHEL 7. As per comment 2, we're not going to
include the fix in RHEL 6, so I'm closing the bug now.

Note You need to log in before you can comment on or make changes to this bug.